Change Puma defaults to match recommendations from Puma documentation
08/17/2021 08:54 PM - Eric Helms
Target version: 3.0.0
Difficulty: Fixed in Releases: 3.0.0
Triaged: Yes Found in Releases:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/986,
https://github.com/theforeman/foreman-i
Description

Associated revisions

Revision 533c1f3b - 08/24/2021 12:29 PM - Eric Helms
Fixes #33277: Change Puma default workers to 1.5 * CPU, max threads to 5

The Puma documentation recommends for CRuby based installations to
start with number of CPUs times 1.5 for workers and defaults to a maxium
of 5 threads when using CRuby.

The previous maximum threads of 16 was based on an incorrect reading
of the Puma documentation and is only the default on non-CRuby Ruby.

Revision 4c129efe - 08/25/2021 02:00 PM - Eric Helms

Refs #33277: Unset foreman_service_puma_workers and foreman_service_puma_threads_max if set to default value

This resets the foreman_server_puma_workers value to pick up the

newest default which is undef. The change from https://github.com/theforeman/puppet-foreman/pull/986
makes the default a dynamically calculated value that should

provide better out of the box experience for users.

This resets the value of foreman_service_puma_threads_max to the new
default value coming from puppet-foreman of 5. The original default of

16 has been determined to likely be too high for Ruby MRI based installations
and resetting to the recommended default by Puma should result in less
wasted resources. Users can opt to increase this value based on

their environments.

History

#1 - 08/17/2021 08:54 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-foreman/pull/986 added

#2 - 08/19/2021 06:33 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/714 added

#3 - 08/24/2021 12:30 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 08/24/2021 12:49 PM - Ewoud Kohl van Wijngaarden
https://github.com/theforeman/puppet-foreman/pull/986

- Category set to Foreman modules
- Target version set to 3.0.0

- Triaged changed from No to Yes

#5 - 08/24/2021 01:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|533c1f3be8069139d7375841019afeb7c1102830.

#6 - 08/26/2021 06:44 PM - Eric Helms
- Bugzilla link set to 1998291

#7 - 08/26/2021 07:06 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 3.0.0 added
- Fixed in Releases deleted (3.1.0)

#8 - 10/12/2021 09:22 AM - Lukas Zapletal

Just for the record, Red Hat Performance team conducted testing of Satellite 6.10 and their recommended value is 16 threads for all t-shirt sizes. So
values higher than 5 are probably relevant.
